#include "exitmenu.h"
#include "ui_exitmenu.h"

ExitMenu::ExitMenu(QWidget *parent) :
    QDialog(parent),
    ui(new Ui::ExitMenu)
{
    ui->setupUi(this);   
    ui->tableWidget->setColumnCount(2);
    ui->tableWidget->setHorizontalHeaderLabels(QStringList() << "File " << "Path" );
    ui->tableWidget->verticalHeader()->setSectionResizeMode(QHeaderView::Fixed);
    ui->tableWidget->horizontalHeader()->setStretchLastSection(true);
}

void ExitMenu::Fill(const QVector<QDir>& file_dirs , const QStringList & fileNames)
{
    ui->tableWidget->clearContents();
    for(int i =0; i < file_dirs.count(); i++)
    {
      ui->tableWidget->insertRow(i);
      ui->tableWidget->setItem(i,0,new QTableWidgetItem(fileNames[i],Qt::DisplayRole));
      ui->tableWidget->setItem(i,1,new QTableWidgetItem(file_dirs[i].path(),Qt::DisplayRole));
    }

}

void ExitMenu::closeEvent(QCloseEvent*)
{
    emit done(-1);
}


ExitMenu::~ExitMenu()
{
    delete ui;
}